REST APIMessages
List the project's messages
The message (turn) history in creation order. Reconstruct each turn's content by streaming its events endpoint (persisted chunks replay for completed turns).
Authorization
ApiKey x-api-key<token>
Workspace-owned API key with per-resource permissions.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"[ { "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85", "status": "queued", "prompt": "string", "attachments": [ { "attachmentId": "96b9bbac-86d3-4497-9e0c-1f8e3803eddb", "filename": "string", "contentType": "string", "size": 0, "url": "http://example.com", "kind": "file" } ], "createdAt": "2019-08-24T14:15:22Z" }]